Bug 204897 - fc5 freezes and gives constant kernel messages
fc5 freezes and gives constant kernel messages
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 00:56 EDT by joseph.kolibal
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:08:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joseph.kolibal 2006-09-01 00:56:19 EDT
Description of problem:
I am running fc5 on a 3.2GHz P4 with an Intel D865Perl and GeForce 6200
video with kmod-nvidia installed using the 2.6.17-1.2174_FC5smp kernel.
The drives are seagate SATA drivers all with ext3 file systems.
All software has been updated with yum, and I have reinstalled and updated
twice. The fc5 installation is unstable, i.e., I constantly get freezes,
i.e., everything dies requiring hitting the reset button, or I get kernel
messages warning me of errors, e.g.,

kernel: kernel BUG at include/linux/mm.h:299!
kernel: invalid opcode: 0000 [#1]
kernel: SMP
kernel: last sysfs file: /block/sdc/removable
kernel: Modules linked in: usblp usb_storage ipv6 autofs4 hidp l2cap bluetooth 
sunrpc dm_mirror dm_mod video button battery ac lp parport_pc parport nvidia(U) 
ohci1394 snd_intel8x0 snd_ac97_codec snd_ac97_bus e1000 ieee1394 snd_seq_dummy 
snd_seq_oss snd_seq_midi_event snd_seq sg snd_seq_device uhci_hcd floppy 
snd_pcm_oss snd_mixer_oss i2c_i801 ehci_hcd snd_pcm serio_raw i2c_core 
snd_timer snd soundcore snd_page_alloc ext3 jbd ata_piix ahci libata sd_mod 
scsi_mod
kernel: CPU: 1
kernel: EIP: 0060:[<c045344f>] Tainted: P VLI
kernel: EFLAGS: 00010246 (2.6.17-1.2174_F

and so on. This is only one of many typical message I receive, sometimes
warning that a reboot is needed.

I have the same problem if I am using a non-smp kernel, if I turn of
threads off in the bios, or using any setting I can set. I would say the
problem might be in hardware, i.e., motherboard, or power supply,
or cpu temperture, however all of these check out. The problem is not
in the video card or drivers, and I have used ati with the same problems
and I have run with the nVidia drivers off, and have run in the console
only at init 3, and I still get lockups. The detail that convinces
me that the problem is in the operating system software is that I installed
and old suse9.3 and then the latest ubuntu 6.06 on some spare partitions,
and when the computer is running under these operating systems it is solid
with excellent performance, and with no errors or kernel messages.

One final mystery. In attempting to reinstall fc5, the install failed
several times, locking in the middle of the process. I then attempted
to install fc4 and it consistently failed immediately after the
loading of vmlinuz with a kernel panic. I noticed that I had a dell 1700
printer connected, and turned on, and when I shut the printer down,
the install of fc5 could be completed.

Version-Release number of selected component (if applicable):


How reproducible:
It is not. It freezes randomly, however the failures seem to be under disk
access, and not when memory and cpu are pushed. I have checked memory in bios, 
and using memtest, and I have run cpuburn-1.4 extensively,
i.e., it does not fail even using the mmx test, running for over an hour. It 
gets hot, clost to 60C,
but it does not crash. It typically seems to crash when disk and memory are 
being used, not when memory alone is being tested. i.e., while doing a yum
install, or do a disk copy, however even this is inconsistent, as sometimes
I have no difficulties.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Lawrence 2006-09-05 11:58:33 EDT
Changing to proper owner, kernel-maint.
Comment 2 Dave Jones 2006-10-16 20:43:03 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 18:08:15 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.